package com.zhentao.controller;

import com.sun.net.httpserver.spi.HttpServerProvider;
import com.zhentao.common.Result;
import com.zhentao.pojo.Good;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.validation.ConstraintViolation;
import javax.validation.Validation;
import javax.validation.Validator;
import javax.validation.ValidatorFactory;
import java.util.Set;

@RestController
@RequestMapping("/api")
@Slf4j
public class GoodController {
//    @Autowired

    //接口一
    @PostMapping("createOrder")
    public Result createOrder(@RequestBody Good good,@RequestHeader("reqId") String reqId){

        ValidatorFactory factory = Validation.buildDefaultValidatorFactory();
        Validator validator = factory.getValidator();
        Set<ConstraintViolation<Good>> violations = validator.validate(good);

        if (violations.isEmpty()) {
            System.out.println("邮箱地址验证通过");

            return Result.OK("订单创建成功",good);
        } else {
            for (ConstraintViolation<Good> violation : violations) {
                System.out.println(violation.getMessage());
                return null;
            }
            return null;
        }


    }

    //接口二
    @GetMapping("/query")
    public Result queryOrder(Good good,@RequestHeader("reqId") String reqId){
        ValidatorFactory factory = Validation.buildDefaultValidatorFactory();
        Validator validator = factory.getValidator();
        Set<ConstraintViolation<Good>> violations = validator.validate(good);

        if (violations.isEmpty()) {
            System.out.println("邮箱地址验证通过");

            return Result.OK("查询成功",good);
        } else {
            for (ConstraintViolation<Good> violation : violations) {
                System.out.println(violation.getMessage());
                return null;
            }
            return null;
        }
    }
}
