package com.zhentao.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.*;
import java.io.Serializable;
import java.util.Date;

@Data
public class Good implements Serializable {

        @NotBlank(message = "appId不能为空")
        private String appId;

        @NotBlank(message = "sign不能为空")
        private String sign;

//        @NotNull(message = "reqTime不能为空")
//        private Long reqTime;

        @NotBlank(message = "goodsId不能为空")
        private String goodsId;

        @Min(value = 1, message = "数量必须大于0")
        private Integer amount;

        @DecimalMin(value = "0", message = "价格必须大于0")
        @DecimalMax(value = "9999",message = "价格必须小于9999")
        private Double price;

        @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
        private String mobile;

//        @Pattern(regexp = "^\\d{4}-\\d{2}-\\d{2}$", message = "日期格式应为yyyy-MM-dd")
        @NotNull(message="日期不能为空")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
        private String nowDate;
    }
